package service

import "nms_nbi/src/modules/network_element/model"

// UDM鉴权信息 服务层接口
type IUDMAuth interface {
	// Save UDM鉴权用户-获取redis全部保存数据库
	Save(neID string) int64

	// Page UDM鉴权用户-分页查询数据库
	Page(query map[string]any) map[string]any

	// List UDM鉴权用户-查询数据库
	List(authUser model.UDMAuth) []model.UDMAuth

	// Insert UDM鉴权用户-新增单个
	// imsi长度15，ki长度32，opc长度0或者32
	Insert(neID string, authUser model.UDMAuth) int64

	// Insert UDM鉴权用户-批量添加
	Inserts(neID string, authUser model.UDMAuth, num string) int64

	// InsertCSV UDM鉴权用户-批量添加
	InsertCSV(neID string, data []map[string]string) int64

	// InsertTxt UDM鉴权用户-批量添加
	InsertTxt(neID string, data [][]string) int64

	// Insert UDM鉴权用户-修改更新
	Update(neID string, authUser model.UDMAuth) int64

	// Insert UDM鉴权用户-删除单个
	Delete(neID, imsi string) int64

	// Insert UDM鉴权用户-删除范围
	Deletes(neID, imsi, num string) int64
}
